Orxonox: orxonox::Functor Class Reference

# orxonox::Functor Class Reference

`#include <src/core/Functor.h>`

Inheritance diagram for orxonox::Functor:

List of all members.

## Public Member Functions

virtual void | evaluateParam (unsigned int index, MultiType &param) const =0
| Functor ()
unsigned int | getParamCount () const
const MultiType & | getReturnvalue () const
FunctionType::Value | getType () const
const std::string & | getTypenameParam (unsigned int param) const
const std::string & | getTypenameReturnvalue () const
bool | hasReturnvalue () const
virtual void | operator() (const MultiType &param1=MT_Type::Null, const MultiType &param2=MT_Type::Null, const MultiType &param3=MT_Type::Null, const MultiType &param4=MT_Type::Null, const MultiType &param5=MT_Type::Null)=0
virtual | ~Functor ()

## Protected Attributes

bool | hasReturnValue_
unsigned int | numParams_
MultiType | returnedValue_
FunctionType::Value | type_
std::string | typeParam_ [MAX_FUNCTOR_ARGUMENTS]
std::string | typeReturnvalue_

## Constructor & Destructor Documentation

orxonox::Functor::Functor | ( |  | ) | `[inline]`

virtual orxonox::Functor::~Functor | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void orxonox::Functor::evaluateParam | ( | unsigned int | index,
|  | MultiType & | param |
| ) |  |  | const`[pure virtual]`

Referenced by orxonox::Executor::evaluate().

unsigned int orxonox::Functor::getParamCount | ( |  | ) | const`[inline]`

Referenced by orxonox::Executor::allDefaultValuesSet(), and orxonox::Executor::evaluate().

const MultiType& orxonox::Functor::getReturnvalue | ( |  | ) | const`[inline]`

Referenced by orxonox::BaseObject::getMainState().

FunctionType::Value orxonox::Functor::getType | ( |  | ) | const`[inline]`

const std::string& orxonox::Functor::getTypenameParam | ( | unsigned int | param | ) | const`[inline]`

References orxonox::BLANKSTRING.

const std::string& orxonox::Functor::getTypenameReturnvalue | ( |  | ) | const`[inline]`

bool orxonox::Functor::hasReturnvalue | ( |  | ) | const`[inline]`

virtual void orxonox::Functor::operator() | ( | const MultiType & | param1 = `MT_Type::Null`,
|  | const MultiType & | param2 = `MT_Type::Null`,
|  | const MultiType & | param3 = `MT_Type::Null`,
|  | const MultiType & | param4 = `MT_Type::Null`,
|  | const MultiType & | param5 = `MT_Type::Null` |
| ) |  |  | `[pure virtual]`

Implemented in orxonox::FunctorStatic, and orxonox::FunctorMember< T >.

## Member Data Documentation

bool orxonox::Functor::hasReturnValue_`[protected]`

unsigned int orxonox::Functor::numParams_`[protected]`

MultiType orxonox::Functor::returnedValue_`[protected]`

FunctionType::Value orxonox::Functor::type_`[protected]`

std::string orxonox::Functor::typeParam_[MAX_FUNCTOR_ARGUMENTS]`[protected]`

std::string orxonox::Functor::typeReturnvalue_`[protected]`

The documentation for this class was generated from the following file:

- src/core/Functor.h